tez-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From hit...@apache.org
Subject tez git commit: TEZ-1313. Setup pre-commit build to test submitted patches. (hitesh)
Date Mon, 22 Dec 2014 22:29:56 GMT
Repository: tez
Updated Branches:
  refs/heads/master f3fa7d220 -> 0f4ed692f


TEZ-1313. Setup pre-commit build to test submitted patches. (hitesh)


Project: http://git-wip-us.apache.org/repos/asf/tez/repo
Commit: http://git-wip-us.apache.org/repos/asf/tez/commit/0f4ed692
Tree: http://git-wip-us.apache.org/repos/asf/tez/tree/0f4ed692
Diff: http://git-wip-us.apache.org/repos/asf/tez/diff/0f4ed692

Branch: refs/heads/master
Commit: 0f4ed692f624dc06400b3fc6149cf42eeb823d7e
Parents: f3fa7d2
Author: Hitesh Shah <hitesh@apache.org>
Authored: Mon Dec 22 14:29:17 2014 -0800
Committer: Hitesh Shah <hitesh@apache.org>
Committed: Mon Dec 22 14:29:17 2014 -0800

----------------------------------------------------------------------
 CHANGES.txt               |  1 +
 build-tools/test-patch.sh | 28 ++++++++++++++--------------
 pom.xml                   | 23 +++++++++++++++++++++++
 3 files changed, 38 insertions(+), 14 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/tez/blob/0f4ed692/CHANGES.txt
----------------------------------------------------------------------
diff --git a/CHANGES.txt b/CHANGES.txt
index 787de93..25201e3 100644
--- a/CHANGES.txt
+++ b/CHANGES.txt
@@ -7,6 +7,7 @@ Release 0.7.0: Unreleased
 INCOMPATIBLE CHANGES
 
 ALL CHANGES:
+  TEZ-1313. Setup pre-commit build to test submitted patches.
   TEZ-1856. Remove LocalOnFileSortedOutput, LocalMergedInput, LocalTaskOutputFiles.
 
 Release 0.6.0: Unreleased

http://git-wip-us.apache.org/repos/asf/tez/blob/0f4ed692/build-tools/test-patch.sh
----------------------------------------------------------------------
diff --git a/build-tools/test-patch.sh b/build-tools/test-patch.sh
index 9e9fb94..b144621 100755
--- a/build-tools/test-patch.sh
+++ b/build-tools/test-patch.sh
@@ -250,8 +250,8 @@ prebuildWithoutPatch () {
   echo ""
   echo ""
   echo "Compiling $(pwd)"
-  echo "$MVN clean test -DskipTests -D${PROJECT_NAME}PatchProcess -Ptest-patch > $PATCH_DIR/masterJavacWarnings.txt
2>&1"
-  $MVN clean test -DskipTests -D${PROJECT_NAME}PatchProcess -Ptest-patch > $PATCH_DIR/masterJavacWarnings.txt
2>&1
+  echo "$MVN clean test -DskipTests -Ptest-patch > $PATCH_DIR/masterJavacWarnings.txt
2>&1"
+  $MVN clean test -DskipTests -Ptest-patch > $PATCH_DIR/masterJavacWarnings.txt 2>&1
   if [[ $? != 0 ]] ; then
     echo "master compilation is broken?"
     JIRA_COMMENT="$JIRA_COMMENT
@@ -260,8 +260,8 @@ prebuildWithoutPatch () {
     return 1
   fi
 
-  echo "$MVN clean test javadoc:javadoc -DskipTests -Pdocs -D${PROJECT_NAME}PatchProcess
> $PATCH_DIR/masterJavadocWarnings.txt 2>&1"
-  $MVN clean test javadoc:javadoc -DskipTests -Pdocs -D${PROJECT_NAME}PatchProcess > $PATCH_DIR/masterJavadocWarnings.txt
2>&1
+  echo "$MVN clean test javadoc:javadoc -DskipTests > $PATCH_DIR/masterJavadocWarnings.txt
2>&1"
+  $MVN clean test javadoc:javadoc -DskipTests > $PATCH_DIR/masterJavadocWarnings.txt 2>&1
   if [[ $? != 0 ]] ; then
     echo "master javadoc compilation is broken?"
     JIRA_COMMENT="$JIRA_COMMENT
@@ -387,8 +387,8 @@ checkJavadocWarnings () {
   echo "======================================================================"
   echo ""
   echo ""
-  echo "$MVN clean test javadoc:javadoc -DskipTests -Pdocs -D${PROJECT_NAME}PatchProcess
> $PATCH_DIR/patchJavadocWarnings.txt 2>&1"
-  $MVN clean test javadoc:javadoc -DskipTests -D${PROJECT_NAME}PatchProcess > $PATCH_DIR/patchJavadocWarnings.txt
2>&1
+  echo "$MVN clean test javadoc:javadoc -DskipTests > $PATCH_DIR/patchJavadocWarnings.txt
2>&1"
+  $MVN clean test javadoc:javadoc -DskipTests > $PATCH_DIR/patchJavadocWarnings.txt 2>&1
   calculateJavadocWarnings "$PATCH_DIR/masterJavadocWarnings.txt"
   nummasterJavadocWarnings=$RET
   calculateJavadocWarnings "$PATCH_DIR/patchJavadocWarnings.txt"
@@ -427,8 +427,8 @@ checkJavacWarnings () {
   echo "======================================================================"
   echo ""
   echo ""
-  echo "$MVN clean test -DskipTests -D${PROJECT_NAME}PatchProcess -Ptest-patch > $PATCH_DIR/patchJavacWarnings.txt
2>&1"
-  $MVN clean test -DskipTests -D${PROJECT_NAME}PatchProcess -Ptest-patch > $PATCH_DIR/patchJavacWarnings.txt
2>&1
+  echo "$MVN clean test -DskipTests -Ptest-patch > $PATCH_DIR/patchJavacWarnings.txt 2>&1"
+  $MVN clean test -DskipTests -Ptest-patch > $PATCH_DIR/patchJavacWarnings.txt 2>&1
   if [[ $? != 0 ]] ; then
     JIRA_COMMENT="$JIRA_COMMENT
 
@@ -474,8 +474,8 @@ checkReleaseAuditWarnings () {
   echo "======================================================================"
   echo ""
   echo ""
-  echo "$MVN apache-rat:check -D${PROJECT_NAME}PatchProcess > $PATCH_DIR/patchReleaseAuditOutput.txt
2>&1"
-  $MVN apache-rat:check -D${PROJECT_NAME}PatchProcess > $PATCH_DIR/patchReleaseAuditOutput.txt
2>&1
+  echo "$MVN apache-rat:check > $PATCH_DIR/patchReleaseAuditOutput.txt 2>&1"
+  $MVN apache-rat:check > $PATCH_DIR/patchReleaseAuditOutput.txt 2>&1
   find $BASEDIR -name rat.txt | xargs cat > $PATCH_DIR/patchReleaseAuditWarnings.txt
 
   ### Compare master and patch release audit warning numbers
@@ -538,9 +538,9 @@ checkFindbugsWarnings () {
 
   rc=0
   echo " Running findbugs "
-  echo "$MVN clean test findbugs:findbugs -DskipTests -D${PROJECT_NAME}PatchProcess <
/dev/null > $PATCH_DIR/patchFindBugsOutput.txt 2>&1"
-  $MVN clean test findbugs:findbugs -DskipTests -D${PROJECT_NAME}PatchProcess < /dev/null
> $PATCH_DIR/patchFindBugsOutput.txt 2>&1
-  rc = $?
+  echo "$MVN clean test findbugs:findbugs -DskipTests < /dev/null > $PATCH_DIR/patchFindBugsOutput.txt
2>&1"
+  $MVN clean test findbugs:findbugs -DskipTests < /dev/null > $PATCH_DIR/patchFindBugsOutput.txt
2>&1
+  rc=$?
 
   if [ $rc != 0 ] ; then
     JIRA_COMMENT="$JIRA_COMMENT
@@ -602,7 +602,7 @@ runTests () {
   test_logfile=$PATCH_DIR/testrun.txt
   echo "  Running tests "
   echo "  $MVN clean install -fn -D${PROJECT_NAME}PatchProcess"
-  $MVN clean install -fae -D${PROJECT_NAME}PatchProcess > $test_logfile 2>&1
+  $MVN clean install -fae > $test_logfile 2>&1
   test_build_result=$?
   cat $test_logfile
   module_test_timeouts=`$AWK '/^Running / { if (last) { print last } last=$2 } /^Tests run:
/ { last="" }' $test_logfile`

http://git-wip-us.apache.org/repos/asf/tez/blob/0f4ed692/pom.xml
----------------------------------------------------------------------
diff --git a/pom.xml b/pom.xml
index 9ce8027..6bff3fb 100644
--- a/pom.xml
+++ b/pom.xml
@@ -1010,6 +1010,29 @@
         </plugins>
       </build>
     </profile>
+    <profile>
+      <id>test-patch</id>
+      <activation>
+        <activeByDefault>false</activeByDefault>
+      </activation>
+      <build>
+        <plugins>
+          <plugin>
+            <groupId>org.apache.maven.plugins</groupId>
+            <artifactId>maven-compiler-plugin</artifactId>
+            <configuration>
+              <fork>true</fork>
+              <source>1.6</source>
+              <target>1.6</target>
+              <compilerArguments>
+                <Xlint/>
+                <Xmaxwarns>9999</Xmaxwarns>
+              </compilerArguments>
+            </configuration>
+          </plugin>
+        </plugins>
+      </build>
+    </profile>
   </profiles>
 
   <reporting>


Mime
View raw message